<?php require_once('../../Connections/cn.php'); ?>
<?php
    session_start();
    
    $salir = $_GET['accion'];
    if (is_callable($salir))
    {
        $salir();
        return;
    }
 

    if (isset($_POST['usuario']) && isset($_POST['clave']))
    {
        $usuario = $_POST['usuario'];
        $clave = md5($_POST['clave']);
        //require('../../modulos/login/sql.txt');
        // valido usuario
        if ($cn)
        {
			mysql_select_db($database_cn, $cn);
			$sql="select * from usuarios where username='$usuario' and password='$clave'";

            $result = mysql_query($sql,$cn);
			$x=mysql_num_rows($result);
			echo $x;
			return;
            if (mysql_num_rows($result) != 0)
            {

                // usuario existe, preparo todos los datos para crear la variable de SESSION
                $usuario = array();
                $arr = mysql_fetch_array($result);
                unset($arr['password']);
                $user_id = $arr['id'];
                $usuario['usuario'] = $arr;
                // para los roles
                $login = $arr['login'];
                $result = SelectRoles($link,$login);
                $arr = array();
                while ($row = mysql_fetch_array($result))
                {
                    array_push($arr,$row['descripcion']);
                }
                $usuario['roles'] = $arr;
                $_SESSION['usuario'] = $usuario;

                //auditoria($_SESSION['sql'], "Ingreso de usuario", "/login/loginControlador.php");
                //unset($_SESSION['sql']);

                //header("Location: modulos/index.php");
                header("Location: ../menu/index.php");
            }
            else
            {
                /*$_SESSION['usuario']['usuario']['id'] = 0;
                auditoria($_SESSION['sql'], "Error en el ingreso", "/login/loginControlador.php");*/
                unset($_SESSION['sql'],$_SESSION['usuario']);

            }
            //conexion($link);
        }
    }

    require("../../modelo/xtpl/xtemplate.class.php");
    $xtpl = new XTemplate('../../modulos/login/vistas/login.php');
    $xtpl->assign('TITULO', 'Ingreso al Sistema');
    if ((!(isset($_SESSION['usuario']))) && (isset($_POST['usuario'])))
    {
            $xtpl->assign('ERROR', 'Error, Verifique los datos !!!');
    }
    $xtpl->parse('main');
    $xtpl->out('main');

    function salir()
    {
        if (isset($_SESSION['usuario']))
        {
            require("../../modelo/xtpl/xtemplate.class.php");
            $xtpl = new XTemplate('../../modulos/login/vistas/logout.php');
            $usuario = $_SESSION['usuario'];
            $xtpl->assign('USUARIO', $usuario['usuario']['nombres']);
            $xtpl->parse('main');
            $xtpl->out('main');
            session_unset();
            session_destroy();
        }
        else{
            header ("Location: ../../index.php");
        }

    }


?>